@import '../../variables.scss';

.Button {
  cursor: pointer;
  white-space: nowrap;
  border-color: $button-border-color;
  border-radius: 0;
  border-width: 1px;
  border-style: solid;
  outline: none;
}

.Button:hover,
.Button:focus {
  background-color: $button-background-color-hover;
  border-color: $button-outline-color;
  outline: 1px solid $button-outline-color;
}

.Button:active {
  background-color: #ffffff;
}

.Button.primary {
  background-color: $primary-button-background-color;
  border-color: $primary-button-border-color;
  color: $primary-button-color;
}

.Button.primary:hover,
.Button.primary:focus {
  background-color: $primary-button-background-color-hover;
  border-color: $primary-button-border-color-hover;
}

.Button.primary:active {
  background-color: $primary-button-background-color;
}
